﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace RegularWinGrid
{
    public partial class Form1 : Form
    {
        DataSet dataSet;
        DataTable table;
        
        public Form1()
        {
            InitializeComponent();
            this.StartPosition = FormStartPosition.CenterScreen;
            this.Text = "Regular Old WinGrid";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dataSet = new DataSet();
            dataSet.ReadXml(@"Customers.xml");
            ultraGrid1.DataSource = dataSet;
           
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        { /*
            e.Layout.GroupByBox.Hidden = true;
            e.Layout.Override.RowSelectors = DefaultableBoolean.True;
            ultraGrid1.Font = new Font("Microsoft Sans Serif", 10.25F);
            e.Layout.Override.ActiveRowAppearance.BackColor = Color.DarkOrange;
            e.Layout.Override.ActiveRowAppearance.ForeColor = Color.White;
            e.Layout.Override.ActiveRowAppearance.ForeColor = Color.Black;
            e.Layout.Override.HeaderAppearance.BackColor = Color.LightBlue;
            e.Layout.Override.RowSelectorAppearance.BackColor = Color.LightBlue;
            e.Layout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard;
            e.Layout.Override.HeaderAppearance.FontData.Bold = Infragistics.Win.DefaultableBoolean.True;
            e.Layout.CaptionVisible = DefaultableBoolean.False;
            */

            e.Layout.Override.RowSelectors = DefaultableBoolean.True;
            e.Layout.Override.SelectedAppearancesEnabled = DefaultableBoolean.True;
            e.Layout.DefaultSelectedBackColor = Color.LightGray;
            e.Layout.DefaultSelectedForeColor = Color.Black;
            e.Layout.Override.SelectedCellAppearance.BorderColor = Color.White;
            e.Layout.Override.SelectedCellAppearance.BorderColor2 = Color.White;

            // Default-Appearance for active cells
            e.Layout.Override.ActiveAppearancesEnabled = DefaultableBoolean.False;
            //e.Layout.Override.ActiveCellAppearance.BackColor = Color.Transparent;
            //e.Layout.Override.ActiveCellAppearance.ForeColor = Color.Transparent;
            e.Layout.Override.ActiveCellAppearance.FontData.Bold = DefaultableBoolean.True;
            e.Layout.Override.ActiveCellAppearance.BorderColor = Color.Black;
            e.Layout.Override.ActiveCellBorderThickness = 3;
        }

        private void ultraGrid1_DoubleClickRow(object sender, DoubleClickRowEventArgs e)
        {
            MessageBox.Show("You have activated Row " + e.Row.Index.ToString(), "Double-Click!");
        }

        private void ultraGrid1_DoubleClickCell(object sender, DoubleClickCellEventArgs e)
        {
            if (e.Cell.Column.Key == "City")
            {
                MessageBox.Show("You clicked in a cell in the City column.", e.Cell.Text);
            }
        }

        private void hideButton_Click(object sender, EventArgs e)
        {
            ultraGrid1.Rows[2].Hidden = true;
        }

        private void showButton_Click(object sender, EventArgs e)
        {
            MessageBox.Show(ultraGrid1.Rows[2].Cells["ContactName"].Text);
        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if (e.Row.Cells["City"].Text == "Mannheim")
            {
                e.Row.Cells["City"].Appearance.BackColor = Color.LightGreen;
                e.Row.Cells["City"].Appearance.ForeColor = Color.Green;
            }
        }

        private void ultraGrid1_BeforeCellActivate(object sender, CancelableCellEventArgs e)
        {
            e.Cell.Appearance.FontData.Bold = DefaultableBoolean.True;
        }

        private void ultraGrid1_BeforeCellDeactivate(object sender, CancelEventArgs e)
        {
            ultraGrid1.ActiveCell.Appearance.FontData.Bold = DefaultableBoolean.False;
        }


    }
}
